API
Start
All requests sent to API Changee must include the parameter key
(API key) available after signing up to our Partnership Program.
API Endpoint https://changee.com/v1/api/
Address Validation
This request checks the validity of the address :
https://changee.com/v1/api/validate-address
# Here is a curl example curl \ -X GET 'https://changee.com/v1/api/validate-address?key=effd430f84604fd2b4fafa8631143e57¤cy=BTC&address=bc1uNFE9QuyhnrB5cmkkJwR7XnqeyBcK8ueKrcjTQJ'
Result example :
{
result: true
}
Parameter
Exchange rate for transaction amount
This request gets the current exchange rate. Transaction fee is not included :
https://changee.com/v1/api/rate
# Here is a curl example curl \ -X GET 'https://changee.com/v1/api/rate?key=effd430f84604fd2b4fafa8631143e57&from=BTC&to=ETH&amount=1'
Result example :
{
fix: false,
minamount: 0.00025062389686325,
maxamount: 12.467700366495,
fromNetwork: "Bitcoin",
toNetwork: "ERC20",
rate: 31.655351641454,
withdrawalFee: "0.0023600204168826 ETH",
result: true
}
Parameter
* withdrawalFee - approximate commission for withdrawal. Floating parameter.
* fix: true - fixed rate, false - floating rate
Payment rate for transaction amount
This request allows you to get the current exchange rate and calculate the amount of funds you need to send to receive a payment :
https://changee.com/v1/api/payment/rate
# Here is a curl example curl \ -X GET 'https://changee.com/v1/api/payment/rate?key=effd430f84604fd2b4fafa8631143e57&from=BTC&to=ETH&amountTo=5000'
Result example :
{
minamount: 2561.31,
maxamount: 2930799,
rate: 0.19879287,
result: true
}
Parameter
Currency List
This request gets the list of all available currencies :
https://changee.com/v1/api/currencies
# Here is a curl example curl \ -X GET 'https://changee.com/v1/api/currencies?key=effd430f84604fd2b4fafa8631143e57'
Result example :
{
XMR: {
coinName: "Monero",
minamount: 12.27,
maxamount: 15527,
tagname: "",
network: "Monero",
available: true
},
ETH: {
coinName: "Ethereum",
minamount: 1.33,
maxamount: 1693,
tagname: "",
network: "ERC20",
available: true
},
DAI: {
coinName: "Dai",
minamount: 2127.89,
maxamount: 2746236,
tagname: "",
network: "ERC20",
available: true
},
EOS: {
coinName: "EOS",
minamount: 2072.91,
maxamount: 2526315,
tagname: "MEMO",
network: "EOS",
available: true
},
...
}
Parameter
Pairs List
This request gets all pairs available for exchange :
https://changee.com/v1/api/pairs
# Here is a curl example curl \ -X GET 'https://changee.com/v1/api/pairs?key=effd430f84604fd2b4fafa8631143e57'
Result example :
{
BTC: [
"USDT",
"BUSD",
"BNB",
"ETH",
"PAX",
"MATIC"
],
USDT: [
"BTC",
"XRP",
"DOGE",
"ETH"
],
DASH: [
"XMR",
"TUSD",
"ATOM"
],
XTZ: [
"USDT",
"BTC"
],
EOS: [
"ETH",
"PERL"
],
ADA: [
"TRX"
],
TUSD: [
"USDT"
],
ALGO: [
"BTC"
],
...
}
Parameter
Exchange Initiation
This request creates – initiates - the exchange :
https://changee.com/v1/api/exchange-create
# Here is a curl example curl \ -X GET 'https://changee.com/v1/api/exchange-create?key=effd430f84604fd2b4fafa8631143e57&from=BTC&to=ETH&amount=1&fix=0&destinationAddress=0x16aa686ba7377eb8b83d531d8c635853fab12a8c&refundAddress=bc11PAESy2ovAmyg8bW8UXLKe8yXXWowBiVmrMbSFj'
Result example :
{
id : "gjdt6a9050933a5f7",
depositAddress : "bc1uNFE9QuyhnrB5cmkkJwR7XnqeyBcK8ueKrcjTQJ",
depositTag : "",
expectedAmountTo : "31.655351641454",
result : true
}
Parameter
Getting exchange status
Getting information about the current exchange status :
https://changee.com/v1/api/exchange-status
# Here is a curl example curl \ -X GET 'https://changee.com/v1/api/exchange-status?key=effd430f84604fd2b4fafa8631143e57&id=gjdt6a9050933a5f7'
Result example :
{
status : "deposit_received",
from : "BTC",
to : "ETH",
depositAddress : "bc1uNFE9QuyhnrB5cmkkJwR7XnqeyBcK8ueKrcjTQJ",
depositTag : "",
depositTxId : "86e66391ecf40a51fa6dfe5da91d6f8077fdffa8a900d26e1a5c14369d17bc75",
destinationAddress : "0x16aa686ba7377eb8b83d531d8c635853fab12a8c",
destinationTag : "",
refundAddress : "bc11PAESy2ovAmyg8bW8UXLKe8yXXWowBiVmrMbSFj",
refundTag : "",
expectedAmountFrom : "1",
expectedAmountTo : "31.655351641454",
amountFrom : "1",
date : "04-03-2023 17:16:27",
txId : null,
amountTo : null,
emergency : {status: EXPIRED},
result : true
}
Parameter
List of used statuses:
waiting_deposit
- waiting for the deposit
deposit_received
- deposit is received
exchanging
- in the process of exchange
sending
- in the process of sending
success
- exchange completed successfully
time_expired
- the waiting time for funds has expired
failed
- the exchange ended with an error
sending_failed
- sending attempt failed
reverted
- the funds were returned to the client
payment_halted
- funds have arrived but an exchange is on hold
The list of statuses of suspended orders:
EXPIRED
- the transaction was received after the expiration of the order
LESS
- a transaction was sent with an amount less than in the order